> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get a page of component group documents

GET https://example.itential.io/automation-studio/component-groups

Returns a page of component group documents.

Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-component-groups

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination.
- `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination.
- `order` (enum, optional, default: 1) — Sort direction, 1 for ascending and -1 for descending.
  - Allowed values: `-1`, `1`
- `sort` (enum, optional, default: name) — Field to sort by
  - Allowed values: `name`
- `include` (string, optional) — Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.
- `exclude` (string, optional) — Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.
- `in` (string, optional) — Search for fields exactly matching one of the given list options
- `not-in` (string, optional) — Search for fields not exactly matching one of the given list options
- `equals` (string, optional) — Returns results where the specified fields exactly match the given match string(s).
- `contains` (string, optional) — Returns results where the specified fields contain the given match string(s).
- `starts-with` (string, optional) — Returns results where the specified fields start with the given match string(s).
- `ends-with` (string, optional) — Returns results where the specified fields end in the given match string(s).

## Response

### 200

Results for the given search parameters.

- `items` (list of object, optional)
  - `name` (string, required)
  - `gbacRead` (list of string, required)
  - `members` (list of object or object, required)
    - object
      - `path` (list of string, optional)
      - `type` (enum, optional)
        - Allowed values: `folder`
    - object
      - `path` (string, optional)
      - `type` (enum, optional)
        - Allowed values: `component`
      - `sourceCollection` (string, optional)
      - `ref` (string, optional)
  - `_id` (string, optional) — Unique identifier of the component group
  - `description` (string, optional)
  - `gbacWrite` (list of string, optional)
  - `version` (double, optional)
  - `meta` (object, optional)
- `total` (integer, optional) — Total number of documents matching the given query parameters.
- `start` (integer, optional) — Search index of first document in the items array.
- `end` (integer, optional) — Search index of the last document in the items array.
- `count` (integer, optional) — Length of the items array.
- `next` (string, optional, nullable) — URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.
- `previous` (string, optional, nullable) — URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "items": [
    {
      "name": "Infoblox Workflows",
      "gbacRead": [
        "CAcFAfEa9aCe7ba08d482B3F"
      ],
      "members": [
        {
          "path": [
            "Assign Next IP - Infoblox"
          ],
          "type": "folder"
        }
      ],
      "_id": "string",
      "description": "Infoblox Workflows",
      "gbacWrite": [
        "CAcFAfEa9aCe7ba08d482B3F"
      ],
      "version": 1,
      "meta": {}
    }
  ],
  "total": 100,
  "start": 0,
  "end": 100,
  "count": 100,
  "next": "string",
  "previous": "string"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/component-groups"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/component-groups';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/component-groups"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/component-groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/automation-studio/component-groups")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/automation-studio/component-groups');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/component-groups");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/component-groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```